Skip to main content
`Ctrl`+`K`

# SNESGetCheckJacobianDomainError

Get an indicator whether or not `SNES` is checking Jacobian domain errors after each Jacobian evaluation.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESGetCheckJacobianDomainError(SNES snes, PetscBool *flg)

Logically Collective

## Input Parameter

- snes - the `SNES` context

## Output Parameter

- flg - `PETSC_FALSE` indicates that it is not checking Jacobian domain errors after each Jacobian evaluation

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESCreate()`, `SNESSetFunction()`, `SNESFunctionFn`, `SNESSetFunctionDomainError()`, `SNESSetCheckJacobianDomainError()`

## Level

advanced

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages